Bug 1815197 - Python plugins do not work
Summary: Python plugins do not work
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: netdata
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Didier Fabert (tartare)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-19 18:25 UTC by Tomasz Torcz
Modified: 2020-03-23 10:24 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-23 09:52:50 UTC
Type: Bug


Attachments (Terms of Use)

Description Tomasz Torcz 2020-03-19 18:25:47 UTC
Description of problem:
After upgrading to 1.20.0 from updates-testing, data from python plugins is not stored. I have at least two plugins: hddtemp and sensors; the categories on web page do not appear.
I've tried debugging steps from Netdata wiki, but without any resolution. When I manually run python plugin (for example: sudo -u netdata /usr/libexec/netdata/plugins.d/python.d.plugin hddtemp debug) I see data being collected. But normally running netdata has no data.
I have no ideas how to debug further. What should I do?

Version-Release number of selected component (if applicable):
netdata-1.20.0-1.fc31.x86_64

Comment 1 Peter Schiffer 2020-03-21 15:12:48 UTC
Take a look in the error log: /var/log/netdata/error.log and see if there's anything related.

Comment 2 Tomasz Torcz 2020-03-21 15:24:49 UTC
Nope, nothing about problems in error_log:

# grep sensors *
error.log:2020-03-21 16:05:22: charts.d: INFO: sensors: is disabled. Add a line with sensors=force in '/etc/netdata/charts.d.conf' to enable it (or remove the line that disables it).
error.log:2020-03-21 16:05:24: python.d DEBUG: plugin[main] : [sensors] looking for 'sensors.conf' in ['/etc/netdata/python.d', '/etc/netdata/conf.d/python.d']
error.log:2020-03-21 16:05:24: python.d DEBUG: plugin[main] : [sensors] loading '/etc/netdata/conf.d/python.d/sensors.conf'
error.log:2020-03-21 16:05:24: python.d DEBUG: plugin[main] : [sensors] '/etc/netdata/conf.d/python.d/sensors.conf' is loaded
error.log:2020-03-21 16:05:24: python.d INFO: plugin[main] : [sensors] built 1 job(s) configs
error.log:2020-03-21 16:05:24: python.d DEBUG: plugin[main] : sensors[sensors] was previously active, applying recovering settings


I've reported it upstream: https://github.com/netdata/netdata/issues/3697

Comment 3 Peter Schiffer 2020-03-21 15:32:22 UTC
Here is the correct link to github issue: https://github.com/netdata/netdata/issues/8451

Comment 4 Tomasz Torcz 2020-03-23 09:52:50 UTC
The problem was external. I have a CEPH cluster which is not fully healthy. 'ceph' plugin in netdata was hanging, being unable to communicate with the cluster. After disabling this plugin, everything works (I gather fixing the CEPH cluster would also clear this issue).

Comment 5 Didier Fabert (tartare) 2020-03-23 10:24:29 UTC
Sorry for the late, it's a little bit complicated for now.

Good news to know it's working again for you.


Note You need to log in before you can comment on or make changes to this bug.